Contents

# FV Function [VBA]

Returns the future value of an investment based on periodic, constant payments and a constant interest rate (Future Value).

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    FV(Rate as Double, NPer as Double, Pmt as Double, [PV as Variant], [Due as Variant])

### Return type:

Double

### Parameters:

Rate is the periodic interest rate.

NPer is the total number of periods (payment period).

Pmt is the annuity paid regularly per period.

PV (optional) is the (present) cash value of an investment.

Due (optional) defines whether the payment is due at the beginning or the end of a period.

0 - the payment is due at the end of the period;

1 - the payment is due at the beginning of the period.

### Error codes:

5 Invalid procedure call

### Example:

    Sub ExampleFV
     Dim myFV As Double
     myFV = =FV(0.04, 2, 750, 2500)
     Print myFV ' returns 4234.00 currency units. The value at the end of the investment is 4234.00 currency units.
    End Sub

Related Topics

FV function in CALC

VBA financial functions

Please support us!